From ffef6bc1ef173e64cf69162c780786cdb22b95d1 Mon Sep 17 00:00:00 2001
From: Nehliin <oskar.d.nehlin@gmail.com>
Date: Sep 16 2020 11:28:26 +0000
Subject: [PATCH 880/2232] Make sure MaybeUninit is part of generated code for fn returning Result


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 8cc1b1b..a6f6c3e 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -217,6 +217,7 @@ fn write_include_cxxbridge(out: &mut OutFile, apis: &[Api], types: &Types) {
                     out.include.string = true;
                     needs_rust_str = true;
                     needs_rust_error = true;
+                    needs_maybe_uninit = true;
                 }
                 for arg in &efn.args {
                     if arg.ty != RustString && types.needs_indirect_abi(&arg.ty) {

